Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_DIOP_Connector Class Reference

DIOP-specific Connector bridge for pluggable protocols. More...

`#include <DIOP_Connector.h>`

Inheritance diagram for TAO_DIOP_Connector

[legend]
Collaboration diagram for TAO_DIOP_Connector:

[legend]
List of all members.

## Public Methods
| TAO_DIOP_Connector (CORBA::Boolean flag = 0)
| Constructor.
| ~TAO_DIOP_Connector (void)
| Destructor.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV)
int | preconnect (const char *preconnections)
TAO_Profile* | create_profile (TAO_InputCDR& cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Methods
virtual TAO_Profile* | make_profile (CORBA::Environment &ACE_TRY_ENV)
| = More TAO_Connector methods, please check the documentation on Pluggable.h.
int | init_tcp_properties (void)
| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.
## Protected Attributes
TAO_DIOP_Properties | tcp_properties_
| TCP configuration properties to be used for all connections established by this connector.
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages?
## Private Types
typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > | SvcHandlerIterator
## Private Attributes
ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > | svc_handler_table_

## Detailed Description

DIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_DIOP_Connector::SvcHandlerIterator`[private]`

## Constructor & Destructor Documentation

TAO_DIOP_Connector::TAO_DIOP_Connector ( | CORBA::Boolean flag = 0 )

| Constructor.

TAO_DIOP_Connector::~TAO_DIOP_Connector ( | void )

| Destructor.

## Member Function Documentation

virtual int TAO_DIOP_Connector::check_prefix ( | const char * endpoint )`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::close ( | void )

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::connect ( | TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )

| Reimplemented from TAO_Connector.

TAO_Profile* TAO_DIOP_Connector::create_profile ( | TAO_InputCDR & cdr )

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::init_tcp_properties ( | void )`[protected]`

| Obtain tcp properties that must be used by this connector, i.e., initialize <tcp_properties_>.

TAO_Profile * TAO_DIOP_Connector::make_profile ( | CORBA::Environment & ACE_TRY_ENV )`[protected, virtual]`

| = More TAO_Connector methods, please check the documentation on Pluggable.h. Reimplemented from TAO_Connector.

virtual char TAO_DIOP_Connector::object_key_delimiter ( | void ) const`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::open ( | TAO_ORB_Core * orb_core )

| Reimplemented from TAO_Connector.

int TAO_DIOP_Connector::preconnect ( | const char * preconnections )

| Reimplemented from TAO_Connector.

## Member Data Documentation

CORBA::Boolean TAO_DIOP_Connector::lite_flag_`[protected]`

| Do we need to use a GIOP_Lite for sending messages?

ACE_Hash_Map_Manager_Ex< ACE_INET_Addr,TAO_DIOP_Connection_Handler *,ACE_Hash< ACE_INET_Addr >,ACE_Equal_To< ACE_INET_Addr >,ACE_Null_Mutex > TAO_DIOP_Connector::svc_handler_table_`[private]`

TAO_DIOP_Properties TAO_DIOP_Connector::tcp_properties_`[protected]`

| TCP configuration properties to be used for all connections established by this connector.

The documentation for this class was generated from the following file:

- DIOP_Connector.h